Bug 64972 - sshd: fatal: buffer_get: trying to get more bytes than in buffer
Summary: sshd: fatal: buffer_get: trying to get more bytes than in buffer
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-15 09:55 UTC by Lars Noodin
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 16:36:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lars Noodin 2002-05-15 09:55:42 UTC
sshd: fatal: buffer_get: trying to get more bytes than in buffer  
  
Description of Problem:  
  
      There might be something wrong with the client.  I get the syslog error   
--  
      "sshd: fatal: buffer_get: trying to get more bytes 129 than in buffer  
34"   
  
       when trying to connect to a remote opensshd 3.0 on a Debian machine.    
       The syslog error tryint to the local redhat 7.3 i386 machine--  
  
     "sshd[1995]: Failed keyboard-interactive for xxxx from  
xxx.xxx.xxx.xxx port 1446 ssh2"  
  
	Only a pain in the ass.  A work-around is to install SSH from  
www.ssh.com.  The RedHat I have is from the Valhalla ISOs on a PII 333 MHz.  
  
  
Version-Release number of selected component (if applicable):  
	Valhalla ISO -- english  
  
How Reproducible:  
    Every time.  
  
Steps to Reproduce:  
1.Install RedHat 7.3 for x86  
2.Run ssh client  
3.Try to connect to another OpenSSH server  
  
Actual Results:  
       Cannot connect to the sshd server.  See error messages above.  
  
  
  
Expected Results:  
	 Should have connected and opened shell.  
  
Additional Information:  
	Only a pain in the ass.  A work-around is to install  
	SSH from www.ssh.com.   
	The RedHat I have is from the Valhalla ISOs on a PII 333 MHz.

Comment 1 Todd Tyree 2004-01-15 09:18:39 UTC
Remove the public key in question from ~/.ssh/[your authorized key 
file]. 

Scp id_(rsa|dsa|whatever).pub to the target box.

cat id_(rsa|dsa|whatever).pub >> ~/.ssh/[your authorized key file]

This happens when linebreaks get transparently added to the 
authorized key files (as when you cut and paste between two different 
windows x-term emulators). 

Comment 2 Ralf Hauser 2005-09-12 15:33:35 UTC
let's try to be a little bit proactive here: Wouldn't a more telling error
message be helpful?

See http://bugzilla.mindrot.org/show_bug.cgi?id=1084


Note You need to log in before you can comment on or make changes to this bug.